MCP Tools Reference: ces.googleapis.com

工具:delete_evaluation

删除指定的评估。

以下示例演示了如何使用 curl 调用 delete_evaluation MCP 工具。

Curl 请求
                  
curl --location 'https://ces.[REGION].rep.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "delete_evaluation",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

输入架构

EvaluationService.DeleteEvaluation 的请求消息。

DeleteEvaluationRequest

JSON 表示法
{
  "name": string,
  "force": boolean,
  "etag": string
}
字段
name

string

必需。要删除的评估的资源名称。

force

boolean

可选。表示是否强制删除评估,即使评估数据集仍引用该评估也是如此。

  • 如果值为 force = false,则如果仍有任何数据集引用该评估,删除操作将失败。
  • 如果值为 force = true,则系统会移除数据集中的所有现有参考,并删除评估。
etag

string

可选。评价的当前 etag。如果未提供 etag,删除操作将覆盖任何并发更改。如果提供的 etag 与评估的当前 etag 不匹配,删除操作将被阻止并返回 ABORTED 错误。

输出架构

一种通用的空消息,您可以重复使用它,以避免在 API 中定义重复的空消息。一个典型示例是将其用作 API 方法的请求或响应类型。例如:

service Foo {
  rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty);
}

工具注释

破坏性提示:✅ | 等幂性提示:❌ | 只读提示:❌ | 开放世界提示:❌